Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf3d
Class Shapes3D

    java.lang.Object
      org.eclipse.amp.agf3d.Shapes3D

    public class Shapes3D

extends java.lang.Object

Author:
  mparker

Nested Class Summary
`static class` | `Shapes3D.ShapeType`

Field Summary
`static IShape3DProvider` | `CUBE_SHAPE_PROVIDER`
`static IShape3DProvider` | `CYLINDER_SHAPE_PROVIDER`
`static IShape3DProvider` | `DISC_SHAPE_PROVIDER`
`static IShape3DProvider` | `HUMAN_SHAPE_PROVIDER`
`static IShape3DProvider` | `SMALL_DISC_SHAPE_PROVIDER`
`static IShape3DProvider` | `SPHERE_SHAPE_PROVIDER`
`static IShape3DProvider` | `TILE_SHAPE_PROVIDER`

Constructor Summary
`Shapes3D()`

Method Summary
`protected static org.eclipse.draw3d.shapes.PositionableShape` | `createCube(float headHeight, org.eclipse.draw3d.geometry.IVector3f size, org.eclipse.draw3d.geometry.IVector3f location)`
`protected static org.eclipse.draw3d.shapes.PositionableShape` | `createCylinder(float headHeight, org.eclipse.draw3d.geometry.IVector3f size, org.eclipse.draw3d.geometry.IVector3f location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUBE_SHAPE_PROVIDER

    public static IShape3DProvider CUBE_SHAPE_PROVIDER

### CYLINDER_SHAPE_PROVIDER

    public static IShape3DProvider CYLINDER_SHAPE_PROVIDER

### DISC_SHAPE_PROVIDER

    public static IShape3DProvider DISC_SHAPE_PROVIDER

### SMALL_DISC_SHAPE_PROVIDER

    public static IShape3DProvider SMALL_DISC_SHAPE_PROVIDER

### SPHERE_SHAPE_PROVIDER

    public static IShape3DProvider SPHERE_SHAPE_PROVIDER

### TILE_SHAPE_PROVIDER

    public static IShape3DProvider TILE_SHAPE_PROVIDER

### HUMAN_SHAPE_PROVIDER

    public static IShape3DProvider HUMAN_SHAPE_PROVIDER

Constructor Detail

### Shapes3D

    public Shapes3D()

Method Detail

### createCylinder

    protected static org.eclipse.draw3d.shapes.PositionableShape createCylinder(float headHeight,
                                                                                org.eclipse.draw3d.geometry.IVector3f size,
                                                                                org.eclipse.draw3d.geometry.IVector3f location)

### createCube

    protected static org.eclipse.draw3d.shapes.PositionableShape createCube(float headHeight,
                                                                            org.eclipse.draw3d.geometry.IVector3f size,
                                                                            org.eclipse.draw3d.geometry.IVector3f location)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD